import re

from cy_ioc_extract.patterns import URL_REGEX


def parse_url(text, flag=re.VERBOSE, regex_template=URL_REGEX):
    """
    The regex for URL is group of regex, hence the logic to parse is kept separate.
    It combines 2 regex
        One to parse urls like : https://abc.def.com
        One to parse urls like : icq.im/XY8ejJTQiWg8(it is also a valid url)
    """
    # Compile the regex pattern with verbose(readable) mode
    pattern = re.compile(regex_template, flag)
    # Find all matches in the text
    matches = pattern.findall(text)
    urls = [match for sublist in matches for match in sublist if match]
    return urls