from setuptools import setup, find_packages
import pathlib

# Read the README.md file
HERE = pathlib.Path(__file__).parent
README = (HERE / "README.md").read_text()

setup(
    name="cy_ioc_extract",
    version="0.1.1",
    packages=find_packages(),
    install_requires=[],
    author="Deepak Kumar",
    author_email="deepak.kumar@cyware.com",
    description="cy_ioc_extract is a Python library designed to extract various Indicators of Compromise (IOCs) from raw text using regular expressions (regex) and optional validation mechanisms. It supports extracting IP addresses, domains, URLs, hashes, emails, registry keys, autonomous system numbers, and more.",
    long_description=README,
    long_description_content_type="text/markdown",
    url="",
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires='>=3.6',
)
